Skip to main content
Resource Center/Network Resource/VPC Operations

GetVpcVRouterDistributedRoutingConnections

GetVpcVRouterDistributedRoutingConnections

GET/zstack/v1/vpc/virtual-routers/{uuid}/tracked-connections

Operation ID

GetVpcVRouterDistributedRoutingConnections

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    The VPC vRouter UUID. To obtain the real-time traffic state of a VPC vRouter, enable distributed routing.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • inventories
    MapRequired

    The collection of the real-time traffic state. Its structure is Map. Key is the communication address on each side. The API response content is a Map, including the source network, destination network type, VNI, the MAC address on each side, the last operation date, and the current optimization status. In the content, ZSNP_DST_SUCC means that the optimization succeeds.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, seeerror.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.